Bug Hunting Session
Bug 62399 - FORMATING: incorrect matching of border lines in 'Table Format' dialog for RTL Table
Summary: FORMATING: incorrect matching of border lines in 'Table Format' dialog for RT...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other All
: medium normal
Assignee: Faisal Menawer
URL:
Whiteboard: target:4.1.0 target:4.0.3
Keywords:
Depends on: 37464
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2013-03-16 08:01 UTC by Faisal Menawer
Modified: 2013-04-01 07:48 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot for the bug (96.70 KB, image/png)
2013-03-16 08:01 UTC, Faisal Menawer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Faisal Menawer 2013-03-16 08:01:41 UTC
Created attachment 76599 [details]
Screenshot for the bug

Steps to reproduce:
1- open Writer.
2- insert table.
3- change table text direction to RTL (Right To Left).
4- now change the left border of the table.

Current behavior:
the right border will be change not the left.

Expected behavior:
The wanted border should change.
Comment 1 Faisal Menawer 2013-03-17 06:31:12 UTC
The bug found also in Calc when the sheet are RTL
Comment 2 Commit Notification 2013-03-17 13:04:59 UTC
Faisal M. Al-Otaibi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=02c04319376e2124336a864aaf8b7de3c824c2f4

Fix fdo#62399 Border incorrect for RTL



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Ahmad Harthi 2013-03-17 13:08:59 UTC
Thanks Faisal.
Comment 4 Ahmad Harthi 2013-03-17 13:14:53 UTC
I've changed the title of the bug to be more clear.
Comment 5 Lior Kaplan 2013-03-18 07:45:42 UTC
The patch doesn't fix the described problem. Also, the change is only in Calc, not fixing Writer which has the same issue. Reopening the bug.

The only difference I've noticed when build with the patch is that the second time when I open the borders dialog, the border do look good, but I dialog still can't set the border correctly.

I would suggest to revert the patch till a full solution will exist, the current situation is more confusing than the before the patch.
Comment 6 Faisal Menawer 2013-03-18 08:06:33 UTC
the Patch only fix the problem on the Calc.
Comment 7 Lior Kaplan 2013-03-18 09:47:01 UTC
The fix above depends on the fix for bug 37464, otherwise you'll get what I described in comment 5.
Comment 8 Commit Notification 2013-03-18 12:49:09 UTC
Faisal M. Al-Otaibi committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f6001794c67d76cb8efc7151263ae847c9137feb&h=libreoffice-4-0

Fix fdo#62399 Border incorrect for RTL


It will be available in LibreOffice 4.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Lior Kaplan 2013-03-18 13:15:20 UTC
Changed the bug to spreadsheet, and opened bug 62470 as a follow up for writer.
Comment 10 Lior Kaplan 2013-03-18 13:15:56 UTC
verified on a build from master.
Comment 11 Commit Notification 2013-04-01 07:48:37 UTC
Faisal M. Al-Otaibi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b6b7e82a831b08617a767ff934040976c570994

more fix for fdo#62399



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.